# -*- coding: utf-8 -*-
# The code is from 
# https://dev.mysql.com/doc/connector-python/en/connector-python-examples.html
"""
Created on Sat Nov  3 21:20:08 2018

@author: jdwang
"""

import datetime
import mysql.connector

#cnx = mysql.connector.connect(user='scott', database='employees')
DB_NAME = 'jdwang_DB'
cnx = mysql.connector.connect(user='jdwang', password='jdwang123',
                              host='127.0.0.1',
                              database=DB_NAME)


cursor = cnx.cursor()

query = ("SELECT first_name, last_name, hire_date FROM employees "
         "WHERE hire_date BETWEEN %s AND %s")

#hire_start = datetime.date(1999, 1, 1)
#hire_end = datetime.date(1999, 12, 31)

hire_start = datetime.date(2018, 11, 4)
hire_end = datetime.date(2018, 11, 30)

cursor.execute(query, (hire_start, hire_end))

for (first_name, last_name, hire_date) in cursor:
  print("{}, {} was hired on {:%d %b %Y}".format(
    last_name, first_name, hire_date))

cursor.close()
cnx.close()